<template>
  <template v-if="statementList.length === 0">
    <lazy-utils-not-found />
  </template>
  <div v-else>
    <el-radio-group
      v-model="selectedMonth"
      size="large"
      class="grid grid-cols-3 gap-3 mt-3"
    >
      <el-radio-button
        v-for="(month, index) in monthFilterRange"
        :key="index"
        :label="month.MonthRange"
        border
        class="bg-background2"
        @change="getStatmentByMonth(month)"
      >
        {{ month.MonthRange }}
        <img
          class="check-img absolute"
          :src="getAssetImage('assets/svg-icon/checked.svg')"
          alt="check"
        />
      </el-radio-button>
    </el-radio-group>
    <el-card
      v-for="data in statementList"
      :key="data"
      shadow="always"
      class="my-5"
    >
      <div class="grid grid-cols-3 gap-2">
        <div>{{ $t("date") }}</div>
        <div class="col-span-2 text-right">{{ data.DateForDisplay }}</div>
        <div>{{ $t("winlose") }}</div>
        <div
          class="col-span-2 text-right"
          :class="`fc-${data.TotalColorForDisplay}`"
        >
          {{ data.TotalCommas }}
        </div>
        <div>{{ $t("commission") }}</div>
        <div class="col-span-2 text-right">{{ data.CommissionCommas }}</div>
      </div>
    </el-card>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { useStatement } from "@/composables/statement";
import commonHelper from "@/utils/commonHelper";

export default defineComponent({
  name: "Statement",
  setup() {
    const {
      statementList,
      monthFilterRange,
      getStatmentByMonth,
      selectedMonth,
      isDataLoading,
    } = useStatement();
    const { getAssetImage } = commonHelper;
    return {
      statementList,
      monthFilterRange,
      getStatmentByMonth,
      selectedMonth,
      isDataLoading,
      getAssetImage,
    };
  },
});
</script>